# Script Function Documentation
[Add User Accounts](#add-user-accounts)  
[Bulk Registry Write](#bulk-registry-write)  
[Console Execute](#console-execute)  
[Console Logoff User](#console-logoff-user)  
[Console Open Browser](#console-open-browser)  
[Console Registry Read](#console-registry-read)  
[Console Screen Capture](#console-screen-capture)  
[Console Shell](#console-shell)  
[Console Show Message](#console-show-message)  
[Disk Check](#disk-check)  
[Disk Cleanup](#disk-cleanup)  
[Disk Defrag](#disk-defrag)  
[Email](#email)  
[Email Alerts](#email-alerts)  
[Email Load Attachment](#email-load-attachment)  
[Execute Script](#execute-script)  
[ExtraData Set Value](#extradata-set-value)  
[File BITS Download](#file-bits-download)  
[File Copy](#file-copy)  
[File Copy as Admin](#file-copy-as-admin)  
[File Copy as User](#file-copy-as-user)  
[File Delete](#file-delete)  
[File Delete as Admin](#file-delete-as-admin)  
[File Delete as User](#file-delete-as-user)  
[File Download](#file-download)  
[File Download (Forced)](#file-download-(forced))  
[File Download URL](#file-download-url)  
[File Download URL (Forced)](#file-download-url-(forced))  
[File Rename](#file-rename)  
[File Rename as Admin](#file-rename-as-admin)  
[File Rename as User](#file-rename-as-user)  
[File Upload](#file-upload)  
[File Write Text](#file-write-text)  
[File Zip](#file-zip)  
[Folder Create](#folder-create)  
[Folder Create as Admin](#folder-create-as-admin)  
[Folder Create as User](#folder-create-as-user)  
[Folder Delete](#folder-delete)  
[Folder Delete as Admin](#folder-delete-as-admin)  
[Folder Delete as User](#folder-delete-as-user)  
[Folder Move](#folder-move)  
[Folder Move as Admin](#folder-move-as-admin)  
[Folder Move as User](#folder-move-as-user)  
[Generate Random Password](#generate-random-password)  
[Hibernate](#hibernate)  
[IF AutoStartup Check](#if-autostartup-check)  
[IF Console Logged On](#if-console-logged-on)  
[IF Drive Status](#if-drive-status)  
[IF File Check](#if-file-check)  
[IF File Compare](#if-file-compare)  
[IF Group Member](#if-group-member)  
[IF New Unassigned Ticket](#if-new-unassigned-ticket)  
[IF Patch Installed](#if-patch-installed)  
[IF Plugin Agent Command Available](#if-plugin-agent-command-available)  
[IF Plugin Enabled](#if-plugin-enabled)  
[IF Plugin Server Function Available](#if-plugin-server-function-available)  
[IF Process Exists](#if-process-exists)  
[IF Registry Check](#if-registry-check)  
[IF Role Detected](#if-role-detected)  
[IF Service is Running](#if-service-is-running)  
[IF Smart Attributes](#if-smart-attributes)  
[IF Software Installed](#if-software-installed)  
[IF SQL Data Check](#if-sql-data-check)  
[IF Ticket Status](#if-ticket-status)  
[IF Tool Installed](#if-tool-installed)  
[IF User Response](#if-user-response)  
[LabTech Agent Uninstall](#labtech-agent-uninstall)  
[LabTech Agent Update](#labtech-agent-update)  
[LabTech Command](#labtech-command)  
[LabTech FasTalk](#labtech-fastalk)  
[LabTech License Deactivate](#labtech-license-deactivate)  
[LabTech License Retrieve](#labtech-license-retrieve)  
[LabTech Plugin Alert](#labtech-plugin-alert)  
[LabTech Probe Control](#labtech-probe-control)  
[LabTech Send Message to Computer](#labtech-send-message-to-computer)  
[LTServer Alert Delete](#ltserver-alert-delete)  
[LTServer Call Alert Template](#ltserver-call-alert-template)  
[LTServer Create Alert](#ltserver-create-alert)  
[LTServer Execute](#ltserver-execute)  
[LTServer Net Send](#ltserver-net-send)  
[LTServer Pager Message](#ltserver-pager-message)  
[LTServer Record Stat](#ltserver-record-stat)  
[LTServer Send Fax](#ltserver-send-fax)  
[LTServer Shell Execute](#ltserver-shell-execute)  
[LTServer Voice Message](#ltserver-voice-message)  
[LTServer Write to File](#ltserver-write-to-file)  
[Maintenance Mode Clear](#maintenance-mode-clear)  
[Maintenance Mode Start](#maintenance-mode-start)  
[MatchGoto](#matchgoto)  
[Net DNS Lookup](#net-dns-lookup)  
[Net Get IP Port](#net-get-ip-port)  
[Net Get SNMP](#net-get-snmp)  
[Net IPConfig](#net-ipconfig)  
[Net Ping](#net-ping)  
[Net Renew IP](#net-renew-ip)  
[Net Set SNMP](#net-set-snmp)  
[Net TFTP Send](#net-tftp-send)  
[Net Wake on Lan](#net-wake-on-lan)  
[Offline Backup](#offline-backup)  
[Patch Approve](#patch-approve)  
[Patch Install](#patch-install)  
[Patch Install All](#patch-install-all)  
[Performance Counter Get ](#performance-counter-get-)  
[Play Sound](#play-sound)  
[Plugin Agent Command](#plugin-agent-command)  
[Plugin Server Function](#plugin-server-function)  
[Powershell Command](#powershell-command)  
[Powershell Command as Admin](#powershell-command-as-admin)  
[Printer Clear Queue](#printer-clear-queue)  
[Printer Set Default](#printer-set-default)  
[Process Execute](#process-execute)  
[Process Execute as Admin](#process-execute-as-admin)  
[Process Execute as User](#process-execute-as-user)  
[Process Kill](#process-kill)  
[Reboot forced](#reboot-forced)  
[Reboot to Cmd Prompt](#reboot-to-cmd-prompt)  
[Reboot to Safemode](#reboot-to-safemode)  
[Registry Delete Key](#registry-delete-key)  
[Registry Set Value](#registry-set-value)  
[Report Email](#report-email)  
[Report Print](#report-print)  
[Resend Autostartup List](#resend-autostartup-list)  
[Resend Config](#resend-config)  
[Resend Drive Info](#resend-drive-info)  
[Resend Error Logs](#resend-error-logs)  
[Resend EventLogs](#resend-eventlogs)  
[Resend Everything](#resend-everything)  
[Resend Hardware](#resend-hardware)  
[Resend Network information](#resend-network-information)  
[Resend Patch information](#resend-patch-information)  
[Resend Printers](#resend-printers)  
[Resend Process List](#resend-process-list)  
[Resend Service List](#resend-service-list)  
[Resend Software](#resend-software)  
[Resend System Information](#resend-system-information)  
[Script Call](#script-call)  
[Script Exit with Error](#script-exit-with-error)  
[Script For Each](#script-for-each)  
[Script For Each SQL](#script-for-each-sql)  
[Script Goto](#script-goto)  
[Script Log Message](#script-log-message)  
[Script Math](#script-math)  
[Script Note](#script-note)  
[Script RegEx](#script-regex)  
[Script Return](#script-return)  
[Script Run](#script-run)  
[Script Sleep](#script-sleep)  
[Script State Clear](#script-state-clear)  
[Script State Get](#script-state-get)  
[Script State Set](#script-state-set)  
[Script Stats Clear](#script-stats-clear)  
[Script Stats Get](#script-stats-get)  
[Script Stats Save](#script-stats-save)  
[Script String Functions](#script-string-functions)  
[Service Start](#service-start)  
[Service Startup Control](#service-startup-control)  
[Service Stop](#service-stop)  
[Share Create](#share-create)  
[Share Delete](#share-delete)  
[Shell](#shell)  
[Shell as Admin](#shell-as-admin)  
[Shell as User](#shell-as-user)  
[Shell Enhanced](#shell-enhanced)  
[SQL Execute](#sql-execute)  
[SQL Fetch DataSet Row](#sql-fetch-dataset-row)  
[SQL Get DataSet](#sql-get-dataset)  
[SQL Get Value](#sql-get-value)  
[SSH Close Connection](#ssh-close-connection)  
[SSH Open Connection](#ssh-open-connection)  
[SSH Send Raw](#ssh-send-raw)  
[SSH Send Secure](#ssh-send-secure)  
[Suspend](#suspend)  
[Telnet Close Connection](#telnet-close-connection)  
[Telnet Open Connection](#telnet-open-connection)  
[Telnet Send Raw](#telnet-send-raw)  
[Telnet Send Secure](#telnet-send-secure)  
[Template Property Get Value](#template-property-get-value)  
[Ticket Add Time](#ticket-add-time)  
[Ticket Assign](#ticket-assign)  
[Ticket Attach File](#ticket-attach-file)  
[Ticket Combine](#ticket-combine)  
[Ticket Comment](#ticket-comment)  
[Ticket Create](#ticket-create)  
[Ticket Elevate](#ticket-elevate)  
[Ticket Finish](#ticket-finish)  
[Ticket Open](#ticket-open)  
[Ticket Reading View](#ticket-reading-view)  
[Ticket Stall](#ticket-stall)  
[Ticket Update](#ticket-update)  
[Tool Install](#tool-install)  
[Variable Check](#variable-check)  
[Variable Check](#variable-check)  
[Variable Set](#variable-set)  
[Virus Definition Update](#virus-definition-update)  
[Virus Scan](#virus-scan)  
[Windows Update Settings](#windows-update-settings)  

---
        
        
### Add User Accounts
Adds a new user account to the local computer unless this is a domain controller then it creates a domain account.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Username | _User Provided_ | Do not include the domain name or quotes. |
| Password | _User Provided_ | Password to use for new user account. |

**Example Function Text**
```        
Add User @USERNAME@ with password @PASSWORD@ storing the result in %userresult%
```



---
        
        
### Bulk Registry Write
Does a Bulk Import of Registry Keys, Starts at the Registry key and then Splits the Name value pairs By a Pipe and sets those names to values.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Registry Key | _User Provided_ | The Base registry key to start writing values at. |
| Name Value Pairs | _User Provided_ | The name value pairs that are split and written. |

**Example Function Text**
```        
Bulk Registry Write to key: @REGISTRYKEY@
```



---
        
        
### Console Execute
Run a program on user's desktop, User must be logged on, Use IF Logged On to Test and activate the %ConsoleNumber% variable. Returns data to "%executeresult% variable. This command has FULL Access to the User's Desktop, Network and Environment but will not return results of commands.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Executable | _User Provided_ | Full path to the program to run with quotes. |
| Arguments | _User Provided_ | The arguments passed to the executable. |
| Console Number | _User Provided_ | Console number to run program on, use %consolenumber% when IF logged on. |

**Example Function Text**
```        
Run: @EXECUTABLE@ @ARGUMENTS@ on Console #%consolenumber%
```



---
        
        
### Console Logoff User
Log the console and user off, User must be logged on, Use IF Logged On to Test.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Console Number | _User Provided_ | Console number to log off, use %consolenumber% when IF logged on. |

**Example Function Text**
```        
LOGOFF console: #%consolenumber%
```



---
        
        
### Console Open Browser
Open the users Internet Explorer to the specified address, User must be logged on, Use IF Logged On to Test.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| URL | _User Provided_ | The address the browser should display. |
| Console Number | _User Provided_ | The console number we should display this on, use %consolenumber% when IF logged on. |

**Example Function Text**
```        
Open Browser to @URL@ on Console #%consolenumber%
```



---
        
        
### Console Registry Read
Reads a registry key or value and sets the %regresult% variable.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Registry Key | _User Provided_ | The Key or value to be read. |
| Console Number | _User Provided_ | Console number to read key or value from, use %consolenumber% when IF logged on. |

**Example Function Text**
```        
Console Registry Read: @REGISTRYKEY@ on %consolenumber%
```



---
        
        
### Console Screen Capture
Perform a Screen Capture on the users console, User must be logged on, Use IF Logged On to Test.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Console Number | _User Provided_ | Console number to capture on, use %consolenumber% when IF logged on. |

**Example Function Text**
```        
Capture Screen on Console: #%consolenumber%
```



---
        
        
### Console Shell
Execute shell commands in the background on the user's console, using CMD.exe to execute them. Returns output to %shellresult%. This command has limited user environment access.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Command | _User Provided_ | Commands to execute |
| Console Number | _User Provided_ | Console Number |

**Example Function Text**
```        
Console Shell: @COMMAND@ on %consolenumber%
```



---
        
        
### Console Show Message
Popup message on user's desktop, User must be logged on, Use IF Logged On to Test.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Message | _User Provided_ | The message to display on the desktop. |
| Console Number | _User Provided_ | The console number to display on, use %consolenumber% obtained from IF User Logged on. |

**Example Function Text**
```        
Popup Message: @MESSAGE@ on Console #%consolenumber%
```



---
        
        
### Disk Check
Run chkdisk on a drive, uses @computerid@ for the target computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Drive Letter | _User Provided_ | The Drive Letter to scan, leave blank for all drives. |
| Result Variable | _User Provided_ | Put the results in this variable, without the @ signs. |

**Example Function Text**
```        
Scan Drive: @DRIVELETTER@ and save result to @RESULTSVAR@
```



---
        
        
### Disk Cleanup
Run the internal LabTech disk cleanup according to the settings in the config, uses @computerid@ for the target computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Perform a Disk Cleanup
```



---
        
        
### Disk Defrag
Defragment Drive, uses @computerid@ for the target computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Drive Letter | _User Provided_ | The drive letter to defragment |
| Result Variable | _User Provided_ | Put the results in this variable, without the @ signs. |

**Example Function Text**
```        
Defragment Drive: @DRIVELETTER@ and save result to @RESULTSVAR@
```



---
        
        
### Email
Send an email message from the LabTech Server.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| To | _User Provided_ | Address to send email to, separate multiple addresses with a semi-colon(;) |
| Subject | _User Provided_ | Subject of email. |
| Body | _User Provided_ | Body of message. |
| File Path | _User Provided_ | Path to File to attach to email or List of Attachment IDs, Leave Empty for no Attachment |

**Example Function Text**
```        
Send Email To: @EMAIL@ Subject: @SUBJECT@
```



---
        
        
### Email Alerts
Send all alerts for target computer to email address, uses @computerid@ for the target computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Email | _User Provided_ | Address to send the alerts to. |
| Clear | [Yes, No]  | Clear this computers alerts after sending. |

**Example Function Text**
```        
Email Alerts to: @EMAIL@ and Clear.
Email Alerts to: @EMAIL@
```



---
        
        
### Email Load Attachment
Loads an attachment into the database for sending with email, returns %AttachmentID%.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| File Path | _User Provided_ | Path to File to load as an attachment |
| Variable | _User Provided_ | Variable to save the ID of the Attachment to. |

**Example Function Text**
```        
SET: @VARIABLE@ = AttachmentID(@FILEPATH@)
```



---
        
        
### Execute Script
Executes a script and stores the script in %invokedscript%, stores script result in the named variable.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Script Type | [PowerShell, VBScript, Batch, PowerShell Bypass]  | Select Script Type. |
| Script to Execute | _User Provided_ | Enter Script (Use Button to Expand Text Editor). |
| Script Parameters | _User Provided_ | Enter Script Parameters to Send. |
| Script Credentials | [Run as Local Agent, Run as Admin]  | Select Credentials to Use |
| Variable | _User Provided_ | Enter Variable to Store Result of Output. |

**Example Function Text**
```        
Execute: PowerShell Script as Local and store result in: @VARIABLE@
Execute: PowerShell Script as Admin and store result in: @VARIABLE@
Execute: VBScript as Local and store result in: @VARIABLE@
Execute: VBScript as Admin and store result in: @VARIABLE@
Execute: Batch as Local and store result in: @VARIABLE@
Execute: Batch as Admin and store result in: @VARIABLE@
Execute: PowerShell Bypass as Local and store result in: @VARIABLE@
Execute: PowerShell Bypass as Admin and store result in: @VARIABLE@
```



---
        
        
### ExtraData Set Value
Save an Extra Data Field from a variable.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Extra Field | Values loaded from database  | The field ends with the type of ID. 1=computer 2=locationid 3=client 4=probe 5=device 6=ticket 7=group 13=contact |
| ID | _User Provided_ | Use the correct ID type, like @computerid@. |
| Value | _User Provided_ | If specifying a variable, include @ signs. |

**Example Function Text**
```        
SET: [EXTRAFIELD 34cd0cf3-2f61-11e1-ac0f-3d76979114ae - @computerid@] = @VALUE@
```



---
        
        
### File BITS Download
Download a File using the BITS Service or Check the Status of a Download. This returns the JOBID or the Status of the download.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Operation | [Download, Status Check]  | The operation to preform. |
| Source | _User Provided_ | Source URL or JobID |
| Destination | _User Provided_ | Destination to Save File |
| ScriptID | _User Provided_ | Script ID to run when completed downloading. |

**Example Function Text**
```        
BITS Download: @SOURCE@ saved to @DESTINATION@
BITS Status Check: @SOURCE@
```



---
        
        
### File Copy
Copy a file on the remote computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Source Path | _User Provided_ | The full path of the source file, without quotes. |
| Destination Path | _User Provided_ | The full path of the destination file, without quotes. |

**Example Function Text**
```        
Copy: @SOURCEPATH@ to @DESTINATION@
Copy: @SOURCE@ to @DESTINATION@
```



---
        
        
### File Copy as Admin
Copy a file on the remote computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Source Path | _User Provided_ | The full path of the source file, without quotes. |
| Destination Path | _User Provided_ | The full path of the destination file, without quotes. |

**Example Function Text**
```        
Copy File as Admin: @SOURCE@ to @DESTINATION@
```



---
        
        
### File Copy as User
Copy a file on the remote computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Source Path | _User Provided_ | The full path of the source file, without quotes. |
| Destination Path | _User Provided_ | The full path of the destination file, without quotes. |
| Username | _User Provided_ | Enter full username in Domain\User format. |
| Password | _User Provided_ | The password to use. |

**Example Function Text**
```        
Copy File as @USERNAME@: @SOURCE@ to @DESTINATION@
```



---
        
        
### File Delete
Delete file on remote computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| File Path | _User Provided_ | Full path of file to delete. |

**Example Function Text**
```        
Delete: @FILEPATH@
Delete: @FILE@
```



---
        
        
### File Delete as Admin
Delete file on remote computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| File Path | _User Provided_ | Full path of file to delete. |

**Example Function Text**
```        
Delete File as Admin: @FILE@
```



---
        
        
### File Delete as User
Delete file on remote computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| File Path | _User Provided_ | Full path of file to delete. |
| Username | _User Provided_ | Enter full username in Domain\User format. |
| Password | _User Provided_ | The password to use. |

**Example Function Text**
```        
Delete File as @USERNAME@: @FILE@
```



---
        
        
### File Download
Transfers a file from the LabTech server and saves it to the local computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Local File | Values loaded from database  | Local file to send, must exist in the LTShare\Transfer directory.  (IIS blocks some transfer of some files like *.config, *.vb, *.licx... by default) |
| Destination Path | _User Provided_ | The full path to file destination including file name, without quotes. |

**Example Function Text**
```        
Download: /Labtech/Transfer/@LOCALFILE@ saved to @DESTINATION@
```



---
        
        
### File Download (Forced)
Transfers a file from the LabTech server and saves it to the local computer. Forces agent to perform download.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Local File | Values loaded from database  | Local file to send, must exist in the LTShare\Transfer directory.  (IIS blocks some transfer of some files like *.config, *.vb, *.licx... by default) |
| Destination Path | _User Provided_ | The full path to file destination including file name, without quotes. |

**Example Function Text**
```        
Download Force: /Labtech/Transfer/@LOCALFILE@ saved to @DESTINATION@
```



---
        
        
### File Download URL
Download file from external site and save it to a local file.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| URL | _User Provided_ | URL to the file that is downloaded, urlencode any strange characters. |
| Local File | _User Provided_ | Full path to the file to save the URL as including file name. |
|  | [Wait Until Finished, Return Now]  | Wait for the download if you need the file in the next steps. |

**Example Function Text**
```        
Download: @URL@ saved to @LOCALFILE@ and wait until finish.
Download: @URL@ saved to @LOCALFILE@ and return immediately.
```



---
        
        
### File Download URL (Forced)
Download file from external site and save it to a local file. Agent will be forced to perform download.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| URL | _User Provided_ | URL to the file that is downloaded, urlencode any strange characters. |
| Local File | _User Provided_ | Full path to the file to save the URL as including file name. |
|  | [Wait Until Finished, Return Now]  | Wait for the download if you need the file in the next steps. |

**Example Function Text**
```        
Download Force: @URL@ saved to @LOCALFILE@ and wait until finish.
Download Force: @URL@ saved to @LOCALFILE@ and return immediately.
```



---
        
        
### File Rename
Rename or move file on the remote computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| File Path | _User Provided_ | Full path of file to move\rename. |
| New Path | _User Provided_ | Full path to the new file. |

**Example Function Text**
```        
Rename: @FILEPATH@ to @NEWPATH@
Rename: @FILE@ to @NEWPATH@
```



---
        
        
### File Rename as Admin
Rename or move file on the remote computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| File Path | _User Provided_ | Full path of file to move\rename. |
| New Path | _User Provided_ | Full path to the new file. |

**Example Function Text**
```        
Rename File as Admin: @FILE@ to @NEWPATH@
```



---
        
        
### File Rename as User
Rename or move file on the remote computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| File Path | _User Provided_ | Full path of file to move\rename. |
| New Path | _User Provided_ | Full path to the new file. |
| Username | _User Provided_ | Enter full username in Domain\User format. |
| Password | _User Provided_ | The password to use. |

**Example Function Text**
```        
Rename File as @USERNAME@: @FILE@ to @NEWPATH@
```



---
        
        
### File Upload
Send file from the remote computer to your LabTech server and save it in LTShare\Uploads. Returns %uploadedfile% with the local path to the file.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| File Path | _User Provided_ | Full path to the file to send. |

**Example Function Text**
```        
Upload: @FILEPATH@ to LTSHARE\Uploads\, store the result in %uploadedfile%
```



---
        
        
### File Write Text
Save text to a file on the remote computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Text File | _User Provided_ | The full path to the file, will replace existing file. |
| Data | _User Provided_ | The text to write to the file. |

**Example Function Text**
```        
Write @DATA@ to @TEXTFILE@
```



---
        
        
### File Zip
Add List of files to compressed zip archive.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Path List | _User Provided_ | A comma separated list of full paths. |
| Archive | _User Provided_ | The full path to the save the zip archive. |

**Example Function Text**
```        
Zip Files @PATHLIST@ to @ARCHIVE@ storing the size in %zipsize%
```



---
        
        
### Folder Create
Create a folder on the target computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Folder | _User Provided_ | Full Path to the new folder. |

**Example Function Text**
```        
Create Folder: @FOLDER@
```



---
        
        
### Folder Create as Admin
Create a folder on the target computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Folder | _User Provided_ | Full Path to the new folder. |

**Example Function Text**
```        
Create Folder as Admin: @FOLDER@
```



---
        
        
### Folder Create as User
Create a folder on the target computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Folder | _User Provided_ | Full Path to the new folder. |
| Username | _User Provided_ | Enter full username in Domain\User format. |
| Password | _User Provided_ | The password to use. |

**Example Function Text**
```        
Create Folder as @USERNAME@: @FOLDER@
```



---
        
        
### Folder Delete
Delete a folder on the target computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Folder | _User Provided_ | Full Path to the folder. |

**Example Function Text**
```        
Delete Folder: @FOLDER@
```



---
        
        
### Folder Delete as Admin
Delete a folder on the target computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Folder | _User Provided_ | Full Path to the folder. |

**Example Function Text**
```        
Delete Folder as Admin: @FOLDER@
```



---
        
        
### Folder Delete as User
Delete a folder on the target computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Folder | _User Provided_ | Full Path to the folder. |
| Username | _User Provided_ | Enter full username in Domain\User format. |
| Password | _User Provided_ | The password to use. |

**Example Function Text**
```        
Delete Folder as @USERNAME@: @FOLDER@
```



---
        
        
### Folder Move
Move a folder on the target computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Source Folder | _User Provided_ | Full Path to the target folder. |
| Dest Folder | _User Provided_ | Full path to the destination Folder. |

**Example Function Text**
```        
Move Folder: @SOURCE@ to @DEST@
```



---
        
        
### Folder Move as Admin
Create a folder on the target computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Source Folder | _User Provided_ | Full Path to the target folder. |
| Dest Folder | _User Provided_ | Full path to the destination Folder. |

**Example Function Text**
```        
Move Folder as Admin: @SOURCE@ to @DEST@
```



---
        
        
### Folder Move as User
Create a folder on the target computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Source Folder | _User Provided_ | Full Path to the target folder. |
| Dest Folder | _User Provided_ | Full path to the destination Folder. |
| Username | _User Provided_ | Enter full username in Domain\User format. |
| Password | _User Provided_ | The password to use. |

**Example Function Text**
```        
Move Folder as @USERNAME@: @SOURCE@ to @DEST@
```



---
        
        
### Generate Random Password
Generates a Random password based on the given parameters (All parameters must be numeric or blank) and sets the %randompassword% variable.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Minimum Length | _User Provided_ | Minimum password length (Required, Must be > 0) |
| Maximum Length | _User Provided_ |  Maximum password length (Required, Must be Greater than Minimum Length) |
| Minimum Special Characters | _User Provided_ | undefined |
| Minimum  Numerical Characters | _User Provided_ | undefined |
| Minimum Upper Case Characters | _User Provided_ | undefined |

**Example Function Text**
```        
Generate Random Password INTO %randompassword%
```



---
        
        
### Hibernate
Hibernates the computer if it supports this function. This command returns immediately.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Function Hibernate
```



---
        
        
### IF AutoStartup Check
Checks Startup Value for result and sets the %autostartupvalue% variable.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| AutoStart Def | Values loaded from database  | Pick the Location to check. |
| Compare | [Exists, Not Exists, =, Not =, <, <=, >, >=, Contains, Not Contains]  | Logical Operator. |
| To | _User Provided_ | Value to compare. |
| Label to Jump to or Steps to Skip | _User Provided_ | Label to jump to or the number of steps to skip when the result is true, zero to exit script. Prefix with '!' to invert check. |

**Example Function Text**
```        
IF AUTOSTARTUP AutoDefId 1 < @COMPARETO@ THEN Jump to :Label
IF AUTOSTARTUP AutoDefId 2 < @COMPAREVAR@ THEN Jump to :Label
IF AUTOSTARTUP AutoDefId 1 Exists  THEN Jump to :Label
```



---
        
        
### IF Console Logged On
Return True if user is logged on and sets the %consolenumber% variable.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Username | _User Provided_ | Check if the specific user is logged on, leave blank for anyone. |
| Label to Jump to or Steps to Skip | _User Provided_ | Label to jump to or the number of steps to skip when the result is true, zero to exit script. Prefix with '!' to invert check. |

**Example Function Text**
```        
IF USER LOGGED IN @USERNAME@ THEN Jump to :Label
IF NOT USER LOGGED IN  THEN Jump to :NoConsoleUser
IF USER LOGGED IN @INPUTPARAMETER@ THEN Jump to :Label
```



---
        
        
### IF Drive Status
Returns True if any of the Conditions are met and sets the %driveletter% variable with the drive.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| FreeSpace | _User Provided_ | Minimum Percentage of free space |
| Fragmentation | _User Provided_ | Maximum Fragmentation that is acceptable for this drive |
| MFT Frag | _User Provided_ | Maximum MFT Fragmentation that is acceptable. |
| Label to Jump to or Steps to Skip | _User Provided_ | Label to jump to or the number of steps to skip when the result is true, zero to exit script. Prefix with '!' to invert check. |

**Example Function Text**
```        
IF DRIVE STATUS BAD THEN Jump to :Label
IF DRIVE STATUS BAD THEN Jump to :Label
```



---
        
        
### IF File Check
Check if the file Exists or does Not Exist.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| File Path | _User Provided_ | Full path to the file to test. |
| Compare | [Exists, Not Exists]  | Returns true if the condition is met. |
| Label to Jump to or Steps to Skip | _User Provided_ | Label to jump to or the number of steps to skip when the result is true, zero to exit script. Prefix with '!' to invert check. |

**Example Function Text**
```        
IF FILE Exists @FILEPATH@ THEN Jump to :Label
IF FILE Exists @INPUTPARAMETER@ THEN Jump to :Label
IF FILE Not Exists @INPUTPARAMETER@ THEN Jump to :Label
```



---
        
        
### IF File Compare
Compares 2 files on the agent and returns true if they are identical.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Check Type | [Created, Modified, Accessed, Version, Contents, Size, MD5]  | The type of file compare to perform. |
| File #1 | _User Provided_ | Full path to filename without quotes. |
| File #2 | _User Provided_ | Full path to filename without quotes. |
| Label to Jump to or Steps to Skip | _User Provided_ | Label to jump to or the number of steps to skip when the result is true, zero to exit script. Prefix with '!' to invert check. |

**Example Function Text**
```        
IF @FILE1@ = @FILE2@ THEN Jump to :Label
IF @FILE1@ = @FILE2@ THEN Jump to :Label
IF @FILE1@ = @FILE2@ THEN Jump to :Label
IF @FILE1@ = @FILE2@ THEN Jump to :Label
IF @FILE1@ = @FILE2@ THEN Jump to :Label
IF @FILE1@ = @FILE2@ THEN Jump to :Label
IF @FILE1@ = @FILE2@ THEN Jump to :Label
```



---
        
        
### IF Group Member
Tests if the computer is a member of the selected group or any of its children.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Group Name | Values loaded from database  | Name of the group to check. |
| Computer ID | _User Provided_ | Use @ComputerID@ for the current computer. |
| Label to Jump to or Steps to Skip | _User Provided_ | Label to jump to or the number of steps to skip when the result is true, zero to exit script. Prefix with '!' to invert check. |

**Example Function Text**
```        
IF Member of GroupId 1045 THEN Jump to :Label
```



---
        
        
### IF New Unassigned Ticket
Runs the True part when a new ticket exists and sets the %ticketid% variable.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Client ID | _User Provided_ | The Client to search, leave blank for all clients. |
| Label to Jump to or Steps to Skip | _User Provided_ | Label to jump to or the number of steps to skip when the result is true, zero to exit script. Prefix with '!' to invert check. |

**Example Function Text**
```        
IF NEW UNASSIGNED TICKET FOR CLIENT @CLIENTID@ THEN Jump to :Label
```



---
        
        
### IF Patch Installed
Check if Patch is installed.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Patch ID | Values loaded from database  | Select Patch or type Variable Name. |
| Label to Jump to or Steps to Skip | _User Provided_ | Label to jump to or the number of steps to skip when the result is true, zero to exit script. Prefix with '!' to invert check. |

**Example Function Text**
```        
IF PATCH INSTALLED HotFixId 5c9e30a9-9015-44a4-9be9-94d6b8fac949 THEN Jump to :Label
```



---
        
        
### IF Plugin Agent Command Available
Checks if a Plugin is loaded and enabled for use.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Command ID | _User Provided_ | Label to jump to or the number of steps to skip when the result is true, zero to exit script. Prefix with '!' to invert check. |
| Label to Jump to or Steps to Skip | _User Provided_ | undefined |

**Example Function Text**
```        
IF SvcCommandId 1049 Agent Command Available THEN Jump to line :Label1315
```



---
        
        
### IF Plugin Enabled
Checks to see if PlPlugin Name to Check.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| GUID | Values loaded from database  | Label to jump to or the number of steps to skip when the result is true, zero to exit script. Prefix with '!' to invert check. |
| Label to Jump to or Steps to Skip | _User Provided_ | undefined |

**Example Function Text**
```        
IF PluginId 24b84eb4-2104-11e1-b223-6e3ff20334fb Plugin Enabled THEN Exit Script
```



---
        
        
### IF Plugin Server Function Available
Checks if a Plugin Function Exists and is ready for use.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Function Guid | _User Provided_ | Label to jump to or the number of steps to skip when the result is true, zero to exit script. Prefix with '!' to invert check. |
| Label to Jump to or Steps to Skip | _User Provided_ | undefined |

**Example Function Text**
```        
IF FunctionId ec90525e-9d73-11e4-bf92-005056844d96 Server Function Available THEN Jump to line :Label1316
```



---
        
        
### IF Process Exists
Check if the process is running and sets the %processid% variable.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Process Name | _User Provided_ | Name or ID of Process to Check. |
| Label to Jump to or Steps to Skip | _User Provided_ | Label to jump to or the number of steps to skip when the result is true, zero to exit script. Prefix with '!' to invert check. |

**Example Function Text**
```        
IF PROCESS EXISTS @PROCESSNAME@ THEN Exit Script
IF PROCESS EXISTS INPUTPARAMETER THEN Jump to line 136
IF NOT PROCESS EXISTS @PROCESSNAME@ THEN Jump to line 137
IF PROCESS EXISTS @PROCESSNAME@ THEN Jump to :Label
IF NOT PROCESS EXISTS @PROCESSNAME@ THEN Jump to :Label
IF PROCESS EXISTS @INPUTPARAMETER@ THEN Jump to :Label
```



---
        
        
### IF Registry Check
Test the Registry Value and sets the %registryresult% variable.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Registry Key | _User Provided_ | End the Value name with a \ to indicate a Key rather than a value. |
| Compare | [Exists, Not Exists, =, Not =, <, <=, >, >=, Contains, Not Contains]  | For Keys Exists and Not Exists are the only applicable choices. |
| To | _User Provided_ | Leave blank for Exists and Not Exists. |
| Label to Jump to or Steps to Skip | _User Provided_ | Label to jump to or the number of steps to skip when the result is true, zero to exit script. Prefix with '!' to invert check. |

**Example Function Text**
```        
IF [REGISTRY @REGISTRYKEY@] = @COMPAREVALUE@ THEN Exit Script
IF [REGISTRY @REGISTRYKEY@] <= @COMPAREVALUE@ THEN Jump to line 141
IF [REGISTRY @INPUTPARAMETER@] Exists  THEN Jump to :Label
```



---
        
        
### IF Role Detected
Checks to see if Role has been detected

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Role Definition | Values loaded from database  | Role Definition to check. |
| Label to Jump to or Steps to Skip | _User Provided_ | Label to jump to or the number of steps to skip when the result is true, zero to exit script. Prefix with '!' to invert check. |

**Example Function Text**
```        
IF Role detected - AD Domain Controller:c79927ec-2b6f-11e3-9392-08002788414b - Then Jump to :Label
```



---
        
        
### IF Service is Running
Check if the Service is Running and sets the %servicename% variable.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Service Name | _User Provided_ | Name of service to check. |
| Label to Jump to or Steps to Skip | _User Provided_ | Label to jump to or the number of steps to skip when the result is true, zero to exit script. Prefix with '!' to invert check. |

**Example Function Text**
```        
IF SERVICE RUNNING @SERVICENAME@ THEN Jump to :Label
IF SERVICE RUNNING @INPUTPARAMETER@ THEN Jump to :Label
```



---
        
        
### IF Smart Attributes
Tests if an Attribute is under its threshold for the current computer and sets the %smartresult% variable with the drive.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Smart Attribute | Values loaded from database  | The attribute to test. |
| Label to Jump to or Steps to Skip | _User Provided_ | Label to jump to or the number of steps to skip when the result is true, zero to exit script. Prefix with '!' to invert check. |

**Example Function Text**
```        
IF SMART ATTRIBUTE 11 FAILED THEN Jump to :Label
IF SMART ATTRIBUTE 99 FAILED THEN Jump to :Label
```



---
        
        
### IF Software Installed
Check if software package is installed and set the %softwarelocation% variable with the path.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| App Name | _User Provided_ | The name of the application to check for. |
| Label to Jump to or Steps to Skip | _User Provided_ | Label to jump to or the number of steps to skip when the result is true, zero to exit script. Prefix with '!' to invert check. |

**Example Function Text**
```        
IF SOFTWARE INSTALLED @APPNAME@ THEN Jump to :Label
IF SOFTWARE INSTALLED @APPNAME@ THEN Jump to :Label
```



---
        
        
### IF SQL Data Check
Test a Value from the Database and set %sqlresult% variable.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Sql Statement | _User Provided_ | Statement must return 1 value. |
| Compare | [Exists, Not Exists, =, Not =, <, <=, >, >=, Contains, Not Contains]  | Logical Operator. |
| To | _User Provided_ | Value to compare. |
| Label to Jump to or Steps to Skip | _User Provided_ | Label to jump to or the number of steps to skip when the result is true, zero to exit script. Prefix with '!' to invert check. |
| ODBC Connection | _User Provided_ | Leave blank to use the LabTech database. |

**Example Function Text**
```        
IF [SQL @SQLSTATEMENT@] <= @COMPAREVAR@ THEN Jump to :Label
IF [SQL @SQLSTATEMENT@] Exists  THEN Jump to :Label
```



---
        
        
### IF Ticket Status
Tests if a Ticket is set to the selected status.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Ticket ID | _User Provided_ | Ticket ID to test. |
| Status | Values loaded from database  | Status to Equal if true |
| Label to Jump to or Steps to Skip | _User Provided_ | Label to jump to or the number of steps to skip when the result is true, zero to exit script. Prefix with '!' to invert check. |

**Example Function Text**
```        
IF Ticket @TICKETID@ Exists THEN Jump to :Label
```



---
        
        
### IF Tool Installed
Check if Tool\Tweak is installed.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Tool ID | Values loaded from database  | Name of Tool to check. |
| Label to Jump to or Steps to Skip | _User Provided_ | Label to jump to or the number of steps to skip when the result is true, zero to exit script. Prefix with '!' to invert check. |

**Example Function Text**
```        
IF TOOL INSTALLED 0 THEN Jump to :Label
IF TOOL INSTALLED 0 THEN Jump to :Label
```



---
        
        
### IF User Response
Ask the User a Yes or No Question and jumps to the Label to Jump to or Steps to Skip if Yes.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Question | _User Provided_ | The question to ask. |
| Console Number | _User Provided_ | Console Number to ask the question on, get this from a previous script.  |
| Label to Jump to or Steps to Skip | _User Provided_ | Label to jump to or the number of steps to skip when the result is true, zero to exit script. Prefix with '!' to invert check. |

**Example Function Text**
```        
IF USER RESPONSE YES TO @QUESTION@ ON CONSOLE #%consolenumber% THEN Exit Script
IF USER RESPONSE YES TO @QUESTION@ ON CONSOLE #%consolenumber% THEN Exit Script
```



---
        
        
### LabTech Agent Uninstall
Uninstalls the LabTech Agent from the target computer. This command returns immediately and no further commands can be sent to the computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Function LabTech Agent Uninstall
```



---
        
        
### LabTech Agent Update
Tells the LabTech Agent to update itself to the latest version, the agent will update EVEN if it has the same version to refresh its files and correct any errors. This command returns immediately and no further commands can be sent to the computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Function LabTech Agent Update
```



---
        
        
### LabTech Command
Runs an internal LabTech command.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Command | _User Provided_ | Numerical command to execute. |
| Parameters | _User Provided_ | Parameters needed for the command. |
| Group List | _User Provided_ | Comma separated list of Group IDs, must be blank if specifying a value in the ID field below. |
| ID | _User Provided_ | ID of object to run against. |
| ID Type | [Computer, Location, Client]  | Type of object of the above ID. |

**Example Function Text**
```        
LTCommand: Update Agent 
LTCommand: Execute Command INPUTPARAMETER
LTCommand: Install Tool INPUTPARAMETER
LTCommand: Upload File INPUTPARAMETER
LTCommand: Download File INPUTPARAMETER
LTCommand: DownLoad URL INPUTPARAMETER
LTCommand: Identify OS INPUTPARAMETER
LTCommand: Scan Hosts INPUTPARAMETER
LTCommand: iSendScreenshot INPUTPARAMETER
LTCommand: Agent Tracing INPUTPARAMETER
```



---
        
        
### LabTech FasTalk
Toggle FasTalk Off\On or send FasTalk packet across network.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Control | _User Provided_ | Use 1 for On, 00 for Off or an IP address to send a network packet. |

**Example Function Text**
```        
Toggle FasTalk
Toggle FasTalk ON
Toggle FasTalk OFF
```



---
        
        
### LabTech License Deactivate
Reset a Retrieved License.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| License Identifier | _User Provided_ | The identifier of the Retrieved License, typically %obtainedlicenseid%. |

**Example Function Text**
```        
Deactivate License ID: %obtainedlicenseid%
```



---
        
        
### LabTech License Retrieve
Retrieve a License and save it to %obtainedlicense%. %licensesuccess% indicates whether property found (1) or not (0).

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| License Type | Values loaded from database  | The type of license to retrieve. |
| Target Type | [System, Client, Location, Computer]  | The target of license. |
| Target Id | _User Provided_ | The target Id of the license, if known, otherwise 0. |

**Example Function Text**
```        
Retrieve License into %obtainedlicense% with an ID of %obtainedlicenseid%
```



---
        
        
### LabTech Plugin Alert
Runs a Plugin Alert from a script, returns the results to %pluginalertresult%. This command is used to run plugins from scripts, this is very advanced and parameters are determined by the plugin.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Plugin Alert ID | _User Provided_ | undefined |
| ClientID | _User Provided_ | undefined |
| ComputerID | _User Provided_ | undefined |
| Message | _User Provided_ | undefined |
| Agent Name | _User Provided_ | undefined |

**Example Function Text**
```        
Raise Plugin alert for: @PLUGINALERTID@
```



---
        
        
### LabTech Probe Control
Control the probe by sending commands to the current computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Control Command | [Reattempt Push, Reinventory Devices, Rescan Network]  | The Command to send to the Probe. |

**Example Function Text**
```        
Probe Control - Reattempt Push
Probe Control - Reinventory Devices
Probe Control - Rescan Network
```



---
        
        
### LabTech Send Message to Computer
Send a Preformatted message to the User.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Message | Values loaded from database  | The Message to use. |
| Computer ID | _User Provided_ | ID of computer to send message to. |
| Parameters to Pass to the Script | _User Provided_ | Extra Parameters to REPLACE with this script |

**Example Function Text**
```        
Send Message MessageId 1 To ComputerId @computerid@
```



---
        
        
### LTServer Alert Delete
Deletes the Alert with the specific ID.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| AlertID | _User Provided_ | The ID of the Alert to delete. |

**Example Function Text**
```        
LTServer delete alert: @ALERTID@
```



---
        
        
### LTServer Call Alert Template
Call an alert template and perform the actions defined.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Alert Message | _User Provided_ | The Alert Message, can be blank. |
| Failed | [False, True]  | Is this a Failure? |
| Agent ID | _User Provided_ | A Number used to track this alert from others. |
| Agent Name | _User Provided_ | A Name used to track this from others |
| Alert Template | _User Provided_ | The Enter TemplateID to use. |

**Example Function Text**
```        
LabTech Server Call Alert Template: @ALERTTEMPLATE@
```



---
        
        
### LTServer Create Alert
Create an alert, to create a system alert set Computer ID to 0. Returns %AlertID% with the ID of the alert created.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Computer ID | _User Provided_ | The computer ID to link the alert to, for computer scripts use @computerid@. |
| Severity | [Informational, Warning, Error, Critical]  | The severity of the alert. |
| Body | _User Provided_ | Body of the message. |
| Subject | _User Provided_ | Subject or Source of the Alert. |

**Example Function Text**
```        
Create Informational Alert: @SUBJECT@
Create Warning Alert: @SUBJECT@
Create Error Alert: @SUBJECT@
Create Critical Alert: @SUBJECT@
```



---
        
        
### LTServer Execute
Runs a program on the LabTech Server. Must not show windows or require any user action.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Program Path | _User Provided_ | Path to program to run. |
| Arguments | _User Provided_ | Parameters to pass to the program. |

**Example Function Text**
```        
Run on the Labtech Server: @PROGRAMPATH@ @ARGUMENTS@
```



---
        
        
### LTServer Net Send
Send a NetBIOS message from the LabTech Server.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| NetBios Name | _User Provided_ | The computer or user to send the message to. |
| Message | _User Provided_ | The message to send. |

**Example Function Text**
```        
Send NetBios Message from the Labtech Server to @NETBIOSNAME@
```



---
        
        
### LTServer Pager Message
Send Pager message from the LabTech Server.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Phone Number | _User Provided_ | The exact number to dial. |
| Message | _User Provided_ | Numeric message to send. |

**Example Function Text**
```        
Make Page Call to @PHONENUMBER@
```



---
        
        
### LTServer Record Stat
Record Stat to the Extra stats to be used with reporting.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Stat Number | [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20]  | Over 10 can be Strings |
| Value | _User Provided_ | The Value to Save as a stat |
| Computer ID | _User Provided_ | The Computer ID  |

**Example Function Text**
```        
Record Stat #1 AS @VALUE@ For @computerid@
```



---
        
        
### LTServer Send Fax
Send a fax from the LabTech Server.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Phone Number | _User Provided_ | The Exact number to dial. |
| Message | _User Provided_ | Message to fax. |

**Example Function Text**
```        
Make Fax Call to @PHONENUMBER@
```



---
        
        
### LTServer Shell Execute
Executes a shell command on the LabTech server and returns the results to %shellresult%.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Command | _User Provided_ | Command interpreter to use (e.g. cmd.exe) without parameters |
| Arguments | _User Provided_ | Parameters to pass to the executable. |

**Example Function Text**
```        
LabTech Server Shell Execute: @COMMAND@ @ARGUMENTS@
```



---
        
        
### LTServer Voice Message
Place Voice call from the LabTech Server.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Phone Number | _User Provided_ | The exact number to dial. |
| Message | _User Provided_ | The message to read over the phone. |

**Example Function Text**
```        
Make Voice Call to @PHONENUMBER@
```



---
        
        
### LTServer Write to File
Write to a file on the LabTech Server.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| File Name | _User Provided_ | Full path to the file. |
| Message | _User Provided_ | The text data to write to the file. |

**Example Function Text**
```        
LTServer Write @MESSAGE@ to @FILENAME@
```



---
        
        
### Maintenance Mode Clear
Clears Maintenance mode for the selected computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| ComputerID | _User Provided_ | undefined |

**Example Function Text**
```        
Clear Maintenance Mode for @computerid@
```



---
        
        
### Maintenance Mode Start
Sets Maintenance mode for the selected computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| ComputerID | _User Provided_ | The Computer to Set |
| Duration | _User Provided_ | Time in Minutes. |

**Example Function Text**
```        
Set Maintenance Mode for @DURATION@ Minutes on @computerid@
```



---
        
        
### MatchGoto
Go to different labels depending on the given value.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Value | _User Provided_ | Variable name or value to match. |
| Match Definition | _User Provided_ | Comma separated list of value/label pairs.  Example: (1,:StartProc),(2,:EndProc),(:DefaultLabel) |

**Example Function Text**
```        
MatchGoto: @MATCH@
```



---
        
        
### Net DNS Lookup
Performs a DNS Lookup on the remote computer and saves the result to %dnsresult%.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Host Name | _User Provided_ | The hostname or IP Address. |

**Example Function Text**
```        
Nslookup @HOSTNAME@ storing the result in %dnsresult%
```



---
        
        
### Net Get IP Port
Connects to Internet Protocol port and reads characters into %portresult%.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Type | [TCP, UDP]  | Select the protocol to use. |
| Host name | _User Provided_ | The hostname or IP Address. |
| Port | _User Provided_ | The port number to connect to. |
| Data | _User Provided_ | Data to send after connect, leave blank for none. |
| Receive Bytes | _User Provided_ | Number of bytes to receive, enter 0 for listen test. |

**Example Function Text**
```        
Connect to @HOSTNAME@ TCP storing the result in %portresult%
Connect to @HOSTNAME@ UDP storing the result in %portresult%
```



---
        
        
### Net Get SNMP
Gets a SNMP Object Identifier and saves it to %snmpresult%.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Host Name | _User Provided_ | The hostname or IP Address. |
| Community | _User Provided_ | The community string to use. |
| OID | _User Provided_ | Numeric Object Identifier. |

**Example Function Text**
```        
Get SNMP @OID@ from @HOSTNAME@ storing it in %snmpresult%
```



---
        
        
### Net IPConfig
Returns the IPConfig information and saves it to %ipconfigresult%.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
IPConfig and store the result in %ipconfigresult%
```



---
        
        
### Net Ping
Ping a hostname and save the result in %pingresult%.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Host name | _User Provided_ | The hostname or IP Address. |

**Example Function Text**
```        
Pinging @HOSTNAME@ storing the result in %pingresult%
```



---
        
        
### Net Renew IP
Renews the remote computers IP address.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Renew IP Address
```



---
        
        
### Net Set SNMP
Set a SNMP OID to a value.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Host Name | _User Provided_ | The IP or DNS name. |
| Community | _User Provided_ | The Community of the device. |
| OID | _User Provided_ | The numeric OID to set. |
| Value | _User Provided_ | The value to set the OID to. |

**Example Function Text**
```        
Set SNMP OID @OID@ to @VALUE@ for @HOSTNAME@ using community @COMMUNITY@
```



---
        
        
### Net TFTP Send
Send a local TFTP File to a machine.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| File name | _User Provided_ | The file must exist in the %Windir%\ltsvc\TFTP directory, without quotes. |
| Server Address | _User Provided_ | The hostname or IP Address. |

**Example Function Text**
```        
TFTP Send file @FILENAME@ to @SERVERADDRESS@ storing the result in %tftpresult%
```



---
        
        
### Net Wake on Lan
Send wake on Lan packet from the remote computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| MAC | _User Provided_ | MAC address of target computer, use : to separate VALUES . |

**Example Function Text**
```        
Wake on LAN sent to @ComputerID@
Wake on LAN sent to @MACADDRESS@
```



---
        
        
### Offline Backup
Performs LabTech offline backup, using template or global settings.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| FTP Directory | _User Provided_ | Initial Directory on FTP Server. |
| File Password | _User Provided_ | Password for the zip archive. |
| File Size | _User Provided_ | Maximum file size. |
| File Path | _User Provided_ | Full path to backup, disables my doc backup. |
| File Filter | _User Provided_ | File filter for my documents backup. |

**Example Function Text**
```        
Perform Offline Backup and store the result in %backupsize%
```



---
        
        
### Patch Approve
Approve all Security Patches for the group selected.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Group Name | Values loaded from database  | Name of group to approve patches to. |

**Example Function Text**
```        
Approve All Hotfixes for GroupId: 1045
```



---
        
        
### Patch Install
Install a Patch on the current computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Patch ID | Values loaded from database  | The Patch to install. |

**Example Function Text**
```        
HotFix Install: HotFixId 5c9e30a9-9015-44a4-9be9-94d6b8fac949
```



---
        
        
### Patch Install All
Deploy Windows Updates to the current computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Action | [All Missing Patches, Missing Security Patches, Missing Approved Patches]  | Action to perform. |
| Script ID | _User Provided_ | Script to run on completion of patch install. |

**Example Function Text**
```        
HotFix Install: All Missing Patches
HotFix Install: All Missing Security Patches
HotFix Install: All Missing Approved Patches
```



---
        
        
### Performance Counter Get 
Read Performance Counter and save result to variable. Use performance monitor to obtain category and counter names.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Category | _User Provided_ | Performance Counter Category |
| Counter | _User Provided_ | Performance Counter |
| Instance | _User Provided_ | Performance Counter Instance, if there are multiple instances one must be specified. |
| Result Variable | _User Provided_ | Save results to this variable, without @ signs. |

**Example Function Text**
```        
Read Performance Counter: @CATEGORY@\@COUNTER@\@INSTANCE@ and save result to @RESULTSVAR@
```



---
        
        
### Play Sound
Play a sound file on the remote computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Wave File | _User Provided_ | The full path to the wave file. |

**Example Function Text**
```        
Play Wave @WAVEFILE@
```



---
        
        
### Plugin Agent Command
Executes an Agent Plugin Command and returns the results to %PluginCommandResults%.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Command ID | _User Provided_ | The Command to Execute |
| Parameters | _User Provided_ | undefined |

**Example Function Text**
```        
Plugin Command PluginId: 1049 Params: @PARAMETERS@
Plugin Command PluginId: 1049 Params: 
```



---
        
        
### Plugin Server Function
Executes a Plugin Function and returns the results to %PluginResults%.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Function Guid | _User Provided_ | The Function to Execute |
| Parameter1 | _User Provided_ | undefined |
| Parameter2 | _User Provided_ | undefined |
| Parameters3 | _User Provided_ | undefined |
| Parameters4 | _User Provided_ | undefined |

**Example Function Text**
```        
Plugin Function PluginId: ec90525e-9d73-11e4-bf92-005056844d96
```



---
        
        
### Powershell Command
Execute powershell command using PS.exe to run them and store the result in %powershellresult%.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Command | _User Provided_ | Commands to execute |

**Example Function Text**
```        
PowerShell: @COMMAND@ and store the result in %powershellresult%
```



---
        
        
### Powershell Command as Admin
Execute powershell command using PS.exe to run them and store the result in %powershellresult%.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Command | _User Provided_ | Commands to execute |

**Example Function Text**
```        
PowerShell as Admin: @COMMAND@
```



---
        
        
### Printer Clear Queue
Clear the printer queue.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Printer Name | _User Provided_ | Lookup the exact name of the printer in LabTech. |

**Example Function Text**
```        
Clear Printer Queue: @PRINTERNAME@
```



---
        
        
### Printer Set Default
Set the default printer on the remote computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Printer Name | _User Provided_ | Lookup the exact name of the printer in LabTech. |

**Example Function Text**
```        
Set Default Printer: @PRINTERNAME@
```



---
        
        
### Process Execute
Run program in the background on remote computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| File | _User Provided_ | Full path to executable. |
| Arguments | _User Provided_ | Parameters to pass to the executable. |
|  | [Wait for Process, Return Immediately]  | Wait for process to end before returning. |

**Example Function Text**
```        
Execute: @FILEPATH@ @ARGUMENTS@ and wait until finish, store the result in %executeresult%
Execute: @FILEPATH@ @ARGUMENTS@ and return immediately.
```



---
        
        
### Process Execute as Admin
Run program in the background as the administrator account defined for this location on remote computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| File | _User Provided_ | Full path to executable. |
| Arguments | _User Provided_ | Parameters to pass to the executable. |
|  | [Wait for Process, Return Immediatly]  | Wait for process to end before returning. |

**Example Function Text**
```        
Execute as Admin: @FILE@ @ARGUMENTS@ and wait until finish, store the result in %executeresult%
Execute as Admin: @FILE@ @ARGUMENTS@ and return immediately.
```



---
        
        
### Process Execute as User
Run program in the background as the username specified below.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| File | _User Provided_ | Full path to executable. |
| Arguments | _User Provided_ | Parameters to pass to the executable. |
|  | [Wait for Process, Return Immediatly]  | Wait for process to end before returning. |
| Username | _User Provided_ | The username to run this process as. |
| Password | _User Provided_ | The password used with this username. |

**Example Function Text**
```        
Execute as @USERNAME@: @FILE@ @ARGUMENTS@ and wait until finish, store the result in %executeresult%
Execute as @USERNAME@: @FILE@ @ARGUMENTS@ and return immediately.
```



---
        
        
### Process Kill
End process on remote computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Process Name | _User Provided_ | The process name or number to end. |

**Example Function Text**
```        
Terminate Process: @PROCESSNAME@
```



---
        
        
### Reboot forced
Issues a reboot command to the computer that bypasses all user prompting and template settings. The command gives the user 30 seconds to abort and then restarts the computer forcing any hung applications to close. 

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Function Reboot forced
```



---
        
        
### Reboot to Cmd Prompt
Reboots the computer to Safemode with only a command prompt as the shell. This command returns immediately.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Function Reboot to Cmd Prompt
```



---
        
        
### Reboot to Safemode
Reboots the computer to Safemode. This command returns immediately.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Function Reboot to Safemode
```



---
        
        
### Registry Delete Key
Deletes a registry key or value.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Registry Key | _User Provided_ | The Key or value to be deleted |

**Example Function Text**
```        
Delete: [REGISTRY @REGISTRYKEY@]
```



---
        
        
### Registry Set Value
Write a Registry Value

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Registry Value | _User Provided_ | The Registry Key to write to |
| Data | _User Provided_ | The data to write. |
| Data Type | [Reg_String, Reg_Binary, Reg_DWORD, Reg_Multi_String, Reg_QWORD, Reg_Ex_String]  | The type of data to write. |

**Example Function Text**
```        
SET: @REGISTRYKEY@ = @DATA@
```



---
        
        
### Report Email
Email Report as PDF attachment.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Report | Values loaded from database  | The report to run. |
| Email | _User Provided_ | Email address to send report to. |
| Selection | _User Provided_ | The Crystal Reports selection string to limit the results. |
| Subject | _User Provided_ | The Subject of the Email |
| Message | _User Provided_ | The Body of the message as the report will be a PDF attachment. |

**Example Function Text**
```        
Email: Agent_Status Report TO: @EMAIL@
```



---
        
        
### Report Print
Print Report to printer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Report | Values loaded from database  | The report to run. |
| Printer | _User Provided_ | The name of the printer to print to, leave blank for default printer. |
| Selection | _User Provided_ | The Crystal Reports selection string to limit the results. |

**Example Function Text**
```        
Print: Agent_Status Report on the Labtech Servers Default Printer
Print: Agent_Status Report on the Labtech Servers Default Printer
```



---
        
        
### Resend Autostartup List
Send Autostartup Inventory now.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Function Resend Autostartup List
```



---
        
        
### Resend Config
Update the Templates and Config now.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Function Resend Config
```



---
        
        
### Resend Drive Info
Send Disk Inventory now.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Function Resend Drive Info
```



---
        
        
### Resend Error Logs
Send the Remote Monitors Error logs from LTErrors.txt.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Function Resend Error Logs
```



---
        
        
### Resend EventLogs
Send Event Log Inventory now.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Function Resend EventLogs
```



---
        
        
### Resend Everything
Send all information now. Script will wait until last command is completed.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Function Resend Everything
```



---
        
        
### Resend Hardware
Send Hardware Inventory now.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Function Resend Hardware
```



---
        
        
### Resend Network information
Send Network Inventory Information now.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Function Resend Network information
```



---
        
        
### Resend Patch information
Send Patch Inventory now.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Function Resend Patch information
```



---
        
        
### Resend Printers
Send Printer Inventory now.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Function Resend Printers
```



---
        
        
### Resend Process List
Send Process Inventory now.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Function Resend Process List
```



---
        
        
### Resend Service List
Send Service Inventory now.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Function Resend Service List
```



---
        
        
### Resend Software
Send Software Inventory now.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Function Resend Software
```



---
        
        
### Resend System Information
Send Virus Scanner, Shadowprotect and Other Inventory Information now.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Function Resend System Information
```



---
        
        
### Script Call
Jumps to a label and returns

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Label | _User Provided_ | Label to jump to, you can return to this position with a script return function. |

**Example Function Text**
```        
Call: :Label
```



---
        
        
### Script Exit with Error
Exits the script and sets the failure status in the logs, All normal script exits and ends exit with success status.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Function Script Exit with Error
Function Script Exit with Error
```



---
        
        
### Script For Each
Run a script with each variable in comma separated list.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Script To Run | Values loaded from database  | Execute this script on each variable in the list. |
| List | _User Provided_ | The comma separated list |
| Variable  | _User Provided_ | The variable to set with the value obtained from the list. |

**Example Function Text**
```        
FOR each @VARNAME@ in @LIST@ run script c7a65c93-eadc-11e1-bca6-7ec667b1402e
```



---
        
        
### Script For Each SQL
Performs a SQL Query and runs a script for each row returned setting all returned columns to internal variables like this %sqlCOLUMNNAME%.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| SQL | _User Provided_ | The SQL Query to execute. |
| Script To Run | Values loaded from database  | Choose the script to run on each row. |
| ODBC Connection | _User Provided_ | Leave blank to use the LabTech database. |

**Example Function Text**
```        
FOR each row in @SQL@ run script c7a65c93-eadc-11e1-bca6-7ec667b1402e
```



---
        
        
### Script Goto
Jumps to label or skips steps either forward or back.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Label to Jump to or Steps to Skip | _User Provided_ | Enter Zero to Exit the Script. |

**Example Function Text**
```        
Exit Script
GOTO: line 307
GOTO: :Label
```



---
        
        
### Script Log Message
Writes an informational entry to the script log.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Message | _User Provided_ | Message to write to the script log. |

**Example Function Text**
```        
LOG: @MESSAGE@
```



---
        
        
### Script Math
Performs specified math function on the values and stores the result in %MathResult% as well as the specified script variable.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Value | _User Provided_ | First numeric value to use. |
| Operator | [+, -, *, \, div, mod, pow, abs, max, min]  | Operation to perform. |
| Value | _User Provided_ | ABS does not need a second value. |
| Variable | _User Provided_ | Enter the variable name without the @ symbols around it. |

**Example Function Text**
```        
SET: @RESULTSVAR@ = @VALUE@ + @VALUE@
SET: @RESULTSVAR@ = @VALUE@ - @VALUE@
SET: @RESULTSVAR@ = @VALUE@ * @VALUE@
SET: @RESULTSVAR@ = @VALUE@ \ @VALUE@
SET: @RESULTSVAR@ = @VALUE@ DIV @VALUE@
SET: @RESULTSVAR@ = @VALUE@ MOD @VALUE@
SET: @RESULTSVAR@ = @VALUE@ POWER OF @VALUE@
SET: @RESULTSVAR@ = @VALUE@ ABS(@VALUE@)
SET: @RESULTSVAR@ = @VALUE@ MAX(@VALUE@, @VALUE@)
SET: @RESULTSVAR@ = @VALUE@ MIN(@VALUE@, @VALUE@)
```



---
        
        
### Script Note
Adds a remark to the script and will not be executed.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Remark | _User Provided_ | Remark to be added to script, use : at start to specify a label. |

**Example Function Text**
```        
Note: NOTE TEXT @NOTETEXT@
:CustomLabel - Label
```



---
        
        
### Script RegEx
Performs regular expression parsing for the given value and stores the result in %RegEXResult% and the named variable, use VBScript/VB.net syntax.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Value | _User Provided_ | The value to test. |
| Pattern | _User Provided_ | The expression to use, if groups are defined the first group is returned. |
| Variable | _User Provided_ | Enter the variable name without the @ symbols around it. |

**Example Function Text**
```        
SET: @RESULTSVAR@ = MATCH(@VALUE@ PATTERN @PATTERN@)
```



---
        
        
### Script Return
Returns to the last script call function executed.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Return from Call
```



---
        
        
### Script Run
Start a new script, all variables are passed to new script. If script fails then step will fail.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Script ID | Values loaded from database  | Choose script to run. |
| Delay | _User Provided_ | Leave blank or enter zero to run script as procedure, otherwise script will be scheduled to run the number of minutes entered. |

**Example Function Text**
```        
Run Script: c7a65c93-eadc-11e1-bca6-7ec667b1402e in Minutes: @DELAY@
Run Script: c7a65c93-eadc-11e1-bca6-7ec667b1402e
```



---
        
        
### Script Sleep
Pause the script and wait a number of seconds.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Seconds | _User Provided_ | Number of seconds to wait. |

**Example Function Text**
```        
Sleep: 123 seconds
```



---
        
        
### Script State Clear
Clear the script state variable for this script.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| ComputerID | _User Provided_ | Computer to clear the state on, use @computerid@ on computer scripts. |

**Example Function Text**
```        
Clear Script State for: @computerid@
```



---
        
        
### Script State Get
Load a variable from the script state.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| ComputerID | _User Provided_ | Computer to load state for, use @computerid@ on computer scripts. |
| Name | _User Provided_ | Name of the variable to load or leave empty to load all script variables. |
| Variable | _User Provided_ | Save results to this variable, without @ signs. Ignored when loading all variables. |

**Example Function Text**
```        
GET: VARIABLE = ALL State Variables for computer @computerid@
```



---
        
        
### Script State Set
Save a variable to the script state to use later. Script state is unique for every script and computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| ComputerID | _User Provided_ | Computer to save state for, use @computerid@ on computer scripts. |
| Name | _User Provided_ | Name of the variable to save or leave empty to save all script variables. |
| Value | _User Provided_ | Value to save to the variable. |

**Example Function Text**
```        
SET: [ALL STATE Variables] = @VALUE@ for computer @computerid@
```



---
        
        
### Script Stats Clear
Clear the script stats for this computer. Stats can be used to track counts of actions performed.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| ComputerID | _User Provided_ | Computer to load stat for, use @computerid@ on computer scripts. |
| Name | _User Provided_ | Name of the stat to clear, leave blank to clear all stats. |

**Example Function Text**
```        
Clear Script Stat: @NAME@ for: @computerid@
```



---
        
        
### Script Stats Get
Get the scripts stat counter for this computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| ComputerID | _User Provided_ | Computer to load state for, use @computerid@ on computer scripts. |
| Name | _User Provided_ | Name of the variable to load. |
| Variable | _User Provided_ | Save results to this variable, without @ signs. |

**Example Function Text**
```        
SET: @VALUE@ = Script Stat (@NAME@)
```



---
        
        
### Script Stats Save
Adds 1 to the script stat counter for the computer specified.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| ComputerID | _User Provided_ | Computer to save stat for, use @computerid@ on computer scripts. |
| Name | _User Provided_ | Name of the stat to save. |

**Example Function Text**
```        
SET: [STAT @NAME@] = [STAT @NAME@]+1 for computer @computerid@
```



---
        
        
### Script String Functions
Perform operations on a String and return the results to %stringresult% and the variable named.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Operation | [Left, Right, Middle, Upper Case, Lower Case, Reverse, Trim Spaces, Find String, Last Find String, Replace, Insert, URL Encode, URL Decode, HTML Encode, HTML Decode, MYSQL Encode, Encrypt, Decrypt, LabTech Pipe Encode, LabTech Pipe Decode, Encrypt Version Two, Decrypt Version Two, Split]  | Operation to perform. |
| Original String | _User Provided_ | The string to perform the operation on. |
| Length | _User Provided_ | Length of operation or string to use for replace,insert,find and last find,Delimiter for the split. |
| Start Position | _User Provided_ | Where to start operation from, or string to find for replace, or Position to return for split. |
| Variable | _User Provided_ | Enter the variable name without the @. |

**Example Function Text**
```        
SET: @RESULTSVAR@ = LEFT(@ORIGINALSTRING@,@LENGTH@)
SET: @RESULTSVAR@ = RIGHT(@ORIGINALSTRING@,@LENGTH@)
SET: @RESULTSVAR@ = MID(@ORIGINALSTRING@,@START@,@LENGTH@)
SET: @RESULTSVAR@ = UPPER(@ORIGINALSTRING@)
SET: @RESULTSVAR@ = LOWER(@ORIGINALSTRING@)
SET: @RESULTSVAR@ = REVERSE(@ORIGINALSTRING@)
SET: @RESULTSVAR@ = TRIMSPACE(@ORIGINALSTRING@)
SET: @RESULTSVAR@ = INDEXOF(@ORIGINALSTRING@,@LENGTH@)
SET: @RESULTSVAR@ = LASTINDEXOF(@ORIGINALSTRING@,@LENGTH@)
SET: @RESULTSVAR@ = REPLACE(@ORIGINALSTRING@,@START@,@LENGTH@)
SET: @RESULTSVAR@ = INSERT(@ORIGINALSTRING@,@LENGTH@,@START@)
SET: @RESULTSVAR@ = URLENCODE(@ORIGINALSTRING@)
SET: @RESULTSVAR@ = URLDECODE(@ORIGINALSTRING@,)
SET: @RESULTSVAR@ = HTMLENCODE(@ORIGINALSTRING@)
SET: @RESULTSVAR@ = HTMLDECODE(@ORIGINALSTRING@)
SET: @RESULTSVAR@ = MYSQLENCODE(@ORIGINALSTRING@)
SET: @RESULTSVAR@ = ENCRYPT(@ORIGINALSTRING@,@LENGTH@)
SET: @RESULTSVAR@ = DECRYPT(@ORIGINALSTRING@,@LENGTH@)
SET: @RESULTSVAR@ = LTPIPEENCODE(@ORIGINALSTRING@)
SET: @RESULTSVAR@ = LTPIPEDECODE(@ORIGINALSTRING@)
SET: @RESULTSVAR@ = ENCRYPTv2(@ORIGINALSTRING@,@LENGTH@)
SET: @RESULTSVAR@ = DECRYPTv2(@ORIGINALSTRING@,@LENGTH@)
SET: @RESULTSVAR@ = SPLIT(@ORIGINALSTRING@,@LENGTH@,@START@)
```



---
        
        
### Service Start
Start a windows service.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Service Name | _User Provided_ | The name of the service. |

**Example Function Text**
```        
Start Service: @SERVICENAME@
```



---
        
        
### Service Startup Control
Set the Service startup mode.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Service Name | _User Provided_ | The service name. |
| Mode | [AutoStart, Manual, Disabled]  | The startup mode to set. |

**Example Function Text**
```        
Set Service: @SERVICENAME@ to AutoStart
Set Service: @SERVICENAME@ to Manual
Set Service: @SERVICENAME@ to Disabled
```



---
        
        
### Service Stop
Stop a windows service.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Service Name | _User Provided_ | The name of the service. |

**Example Function Text**
```        
Stop Service: @SERVICENAME@
```



---
        
        
### Share Create
Share a Folder on the remote computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Directory Path | _User Provided_ | Full path to the directory to share. |
| Share Name | _User Provided_ | Name of Share. |

**Example Function Text**
```        
Share Folder: @DIRECTORYPATH@ as @SHARENAME@
```



---
        
        
### Share Delete
Delete Share on remote computer.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Share Name | _User Provided_ | Name of Share. |

**Example Function Text**
```        
Stop Sharing Folder: @SHARENAME@
```



---
        
        
### Shell
Execute shell commands in the background, using CMD.exe to run them.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Command | _User Provided_ | Commands to execute |

**Example Function Text**
```        
Shell: @SHELLCOMMAND@ and store the result in %shellresult%
```



---
        
        
### Shell as Admin
Execute shell commands as the administrator account defined for this location, using CMD.exe to run them.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Command | _User Provided_ | Commands to execute |

**Example Function Text**
```        
Shell as Admin: @COMMAND@ and store the result in %shellresult%
```



---
        
        
### Shell as User
Execute shell commands as the username specified below, using CMD.exe to run them.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Command | _User Provided_ | Commands to execute |
| Username | _User Provided_ | The username to run this process as. |
| Password | _User Provided_ | The password used with this username. |

**Example Function Text**
```        
Shell as @USERNAME@: @COMMAND@ and store the result in %shellresult%
```



---
        
        
### Shell Enhanced
Execute shell commands in the background, using CMD.exe to run them.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Command | _User Provided_ | Commands to execute |
| Delimiter | _User Provided_ | Used to split the variable list and the results returned by the shell command |
| Variable List | _User Provided_ | List of Variable to be set from the resulting shell command |

**Example Function Text**
```        
Shell: @INPUTPARAMETER@ split result by @DELIMITER@ and save results to @VARIABLELIST@
```



---
        
        
### SQL Execute
Run a SQL statement.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| SQL Statement | _User Provided_ | The SQL statement to run. |
| ODBC Connection | _User Provided_ | Leave blank to use the LabTech Database. |

**Example Function Text**
```        
SQL EXECUTE: @SQLSTATEMENT@
```



---
        
        
### SQL Fetch DataSet Row
Gets the row of the DataSet (starting at row 1), and stores the value of each column in a variable referenced by the column name like @sqlCOLUMNNAME@.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| SQL DataSet | _User Provided_ | The DataSet to pull information from, use sqldataset without % signs. |
| Row To Fetch | _User Provided_ | Which row of the dataset to use.  |

**Example Function Text**
```        
Fetch row: @ROWS@ from dataset: @SQLDATASET@
```



---
        
        
### SQL Get DataSet
Gets the results of the query, and stores in %sqldataset% variable to be used by the Fetch Dataset Row function. Number of rows is stored in %sqldatasetrowcount%.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| SQL Query | _User Provided_ | The SQL Statement to execute. |
| ODBC Connection | _User Provided_ | Leave blank to use the LabTech database.  |

**Example Function Text**
```        
SET: %sqldataset% = SQL Get DataSet: @SQLQUERY@
```



---
        
        
### SQL Get Value
Gets the first Column of the first Row returned by the query and saves it in %sqlresult%.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| SQL Query | _User Provided_ | The SQL Statement to execute. |
| ODBC Connection | _User Provided_ | Leave blank to use the LabTech database.  |

**Example Function Text**
```        
SET: %sqlresult% = [@SQLQUERY@]
```



---
        
        
### SSH Close Connection
Close an existing SSH session. The response is stored in %sshresult% and the success state in %sshsuccess%.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| SSH Session ID | _User Provided_ | Session ID of the open SSH connection. |

**Example Function Text**
```        
Close SSH Session ID: %sshsessionid%
```



---
        
        
### SSH Open Connection
Establishes a connection to a device using the SSH protocol and stores the session ID in %sshsessionid%. The response is stored in %sshresult% and the success state in %sshsuccess%.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Hostname | _User Provided_ | Hostname or IP address of the device. |
| Port | _User Provided_ | Port to use. |
| Timeout | _User Provided_ | Timeout period (minutes). |
| Username | _User Provided_ | SSH Username. |
| Password | _User Provided_ | SSH Password. |

**Example Function Text**
```        
Open SSH To: "@HOSTNAME@", Port: 22, Timeout: 15
```



---
        
        
### SSH Send Raw
Send unencrypted data to a device that has an open SSH connection. The response is stored in %sshresult% and the success state in %sshsuccess%.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| SSH Session ID | _User Provided_ | Session ID of the open SSH connection. |
| Text To Send | _User Provided_ | Text to send to the device. |

**Example Function Text**
```        
SSH Send: @TEXT@ unencrypted to SSH session ID: %sshsessionid%
```



---
        
        
### SSH Send Secure
Send encrypted data to a device that has an open SSH connection. The response is stored in %sshresult% and the success state in %sshsuccess%.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| SSH Session ID | _User Provided_ | Session ID of the open SSH connection. |
| Text To Send | _User Provided_ | Text to send to the device. |

**Example Function Text**
```        
SSH Send: @TEXT@ encrypted to SSH session ID: %sshsessionid%
```



---
        
        
### Suspend
Suspends the computer if it supports this function. This command returns immediately.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Function Suspend
```



---
        
        
### Telnet Close Connection
Close an existing Telnet session.  The response is stored in %telnetresult% and the success state in %telnetsuccess%.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Telnet Session ID | _User Provided_ | Session ID of the open Telnet connection. |

**Example Function Text**
```        
Close Telnet session ID: %telnetsessionid%
```



---
        
        
### Telnet Open Connection
Establishes a connection to a device using the Telnet protocol and stores the session ID in %telnetsessionid%. The response is stored in %telnetresult% and the success state in %telnetsuccess%.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Hostname | _User Provided_ | Hostname or IP address of the device. |
| Port | _User Provided_ | Port to use. |
| Timeout | _User Provided_ | Timeout period (minutes). |

**Example Function Text**
```        
Open Telnet To: "@HOSTNAME@", Port: 23, Timeout: 15
```



---
        
        
### Telnet Send Raw
Send unencrypted data to a device that has an open Telnet connection. The response is stored in %telnetresult% and the success state in %telnetsuccess%.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Telnet Session ID | _User Provided_ | Session ID of the open Telnet connection. |
| Text To Send | _User Provided_ | Text to send to the device. |

**Example Function Text**
```        
Telnet Send To: @TEXT@ unencrypted to Telnet session ID: %telnetsessionid%
```



---
        
        
### Telnet Send Secure
Send encrypted data to a device that has an open Telnet connection. The response is stored in %telnetresult% and the success state in %telnetsuccess%.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Telnet Session ID | _User Provided_ | Session ID of the open Telnet connection. |
| Text To Send | _User Provided_ | Text to send to the device. |

**Example Function Text**
```        
Telnet Send To: @TEXT@ encrypted to Telnet session ID: %telnetsessionid%
```



---
        
        
### Template Property Get Value
Read a Template Property and save it to a variable. %templatepropertyfound% indicates whether property found (1) or not (0).

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Property Name | Values loaded from database  | The name of property to retrieve. |
| Variable | _User Provided_ | Put the results in this variable, without the @ signs. |
| Default Value | _User Provided_ | Default value to use if variable not found. |

**Example Function Text**
```        
SET: @VARIABLE@ = TemplateProperty(@PROPERTYNAME@)
```



---
        
        
### Ticket Add Time
Add Time to Ticket as User.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Ticket ID | _User Provided_ | Ticket to add time to. |
| User ID | Values loaded from database  | ID Number of the user to perform the Comment or type a Variable name |
| Body | _User Provided_ | The Message to include as the Body. |
| Time | _User Provided_ | Number of Minutes to Add. |
| Time Category ID | _User Provided_ | ID Number of the Time Category to add. |

**Example Function Text**
```        
Add @TIME@ Minutes to Ticket #@TICKETID@
```



---
        
        
### Ticket Assign
Assign Ticket to specified user.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Ticket ID | _User Provided_ | ID of Ticket to Assign. |
| User | Values loaded from database  | User to Assign the ticket to or type a Variable name. |

**Example Function Text**
```        
Assign Ticket @TICKETID@ to user 1
```



---
        
        
### Ticket Attach File
Attach File to an Existing Ticket.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Ticket ID | _User Provided_ | Ticket To Attach to |
| User ID | Values loaded from database  | The user to perform the Attach or type a Variable name |
| Body | _User Provided_ | The Message to include as the Body. |
| File Path | _User Provided_ | Local path on Server to file to attach. |

**Example Function Text**
```        
Attach File: @FILEPATH@ to ticket #@TICKETID@
```



---
        
        
### Ticket Combine
Combine Ticket into master ticket.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Master Ticket | _User Provided_ | The Ticket to keep |
| Combined Ticket | _User Provided_ | The Ticket to get rid of |

**Example Function Text**
```        
Combine Ticket: @COMBINEDVAR@ into @MASTERTICKET@
```



---
        
        
### Ticket Comment
Comment on Ticket as User.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Ticket ID | _User Provided_ | Ticket To Comment on |
| User ID | Values loaded from database  | ID Number of the user to perform the Comment or type a Variable name |
| Body | _User Provided_ | The Message to include as the Body. |
| Respond | [Yes, No]  | Send an Email to the Requestor |

**Example Function Text**
```        
Comment Ticket: @TICKETID@ to user 1
```



---
        
        
### Ticket Create
Create a new support ticket and saves the ticket ID to %ticketid%.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Client ID | _User Provided_ | Client Id to link ticket to. |
| Computer ID | _User Provided_ | Computer ID to link the ticket to. |
| Email | _User Provided_ | Email address of ticket requestor. |
| Subject | _User Provided_ | Subject of the ticket. |
| Body | _User Provided_ | The Message to include as the Body. |

**Example Function Text**
```        
Create New Ticket for %clientid%\%computerid% Email: @EMAIL@ Subject: @SUBJECT@
```



---
        
        
### Ticket Elevate
Elevate the selected ticket to the next level.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Ticket ID | _User Provided_ | The Ticket ID to Elevate. |

**Example Function Text**
```        
Elevate Ticket #@TICKETID@
```



---
        
        
### Ticket Finish
Finish Ticket as User.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Ticket ID | _User Provided_ | Ticket To Finish |
| User ID | Values loaded from database  | ID Number of the user to perform the Finish or type a Variable name |
| Body | _User Provided_ | The Message to include as the Body. |

**Example Function Text**
```        
Finish Ticket: @TICKETID@ to 1
```



---
        
        
### Ticket Open
Open Ticket as User.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Ticket ID | _User Provided_ | Ticket To Open |
| User ID | Values loaded from database  | ID Number of the user to perform the Open or type a Variable name |
| Comment | _User Provided_ | The comment to include in the summary. |

**Example Function Text**
```        
Open Ticket: @TICKETID@ to user 1
```



---
        
        
### Ticket Reading View
Create a Ticket Reading View and Save it to %ticketreadingview%.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Ticket ID | _User Provided_ | The ID of the Ticket to use |
| Newest on Top | [Yes, No]  | List Items starting with the newest. |
| HTML | [Yes, No]  | Use HTML for message. |
| For Customer | [Yes, No]  | Hide internal Ticketing information.  |

**Example Function Text**
```        
SET: %ticketreadingview% = TicketReadingView(#@TICKETID@)
```



---
        
        
### Ticket Stall
Stall or Unstall Ticket.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Ticket ID | _User Provided_ | Ticket ID To Stall |
| Action | [Stall, Unstall]  | Stall Or Unstall Ticket |
| Date To Unstall | _User Provided_ | If Stalling Ticket, unstall on this date (YYYY-MM-DD HH:MM:SS) |

**Example Function Text**
```        
Stall Ticket: @TICKETID@
Unstall Ticket: @TICKETID@
```



---
        
        
### Ticket Update
Update Ticket information.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Requestor Email | _User Provided_ | Leave blank to keep existing. |
| Priority | _User Provided_ | Leave blank to keep existing. |
| Subject | _User Provided_ | Leave blank to keep existing. |
| Category ID | _User Provided_ | Leave blank to keep existing. |
| Ticket ID | _User Provided_ | ID of ticket to Update. |

**Example Function Text**
```        
Update Ticket #@TICKETID@ set Email=@REQUESTOREMAIL@ Priority=@PRIORITY@ Subject=@SUBJECT@ Category=@CATEGORYID@
```



---
        
        
### Tool Install
Install or remove a Tool\Tweak.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Action | [Install, Remove]  | Install or Remove. |
| Tool ID | Values loaded from database  | Name of Tool to perform action to. |

**Example Function Text**
```        
Tool Install: AppID=
Tool Remove: AppID=@INPUTPARAMETER@
```



---
        
        
### Variable Check
Compares a variable to the specified data and skips if the result is TRUE.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Variable Name | _User Provided_ | Enter variable name without % or @. Script will attempt to use %variablename%, if no match is found it will attempt to use @variablename@. |
| Compare | [Exists, Not Exists, =, Not =, <, <=, >, >=, Contains, Not Contains, In, Not In]  | Logical Operator. |
| To | _User Provided_ | Value to compare to. |
| Label to Jump to or Steps to Skip | _User Provided_ | Label to jump to or the number of steps to skip when the result is true, zero to exit script. |

**Example Function Text**
```        
IF VARIABLENAME@ < @COMPAREVALUE@ THEN Jump to line 142
IF @VARIABLENAME@ = @COMPAREVAR@ THEN Jump to :Label
IF @VARIABLENAME@ Contains @COMPAREVAR@ THEN Jump to :Label
IF @VARIABLENAME@ Not Contains @COMPAREVAR@ THEN Jump to :Label
IF @VARIABLENAME@ In @COMPAREVAR@ THEN Jump to :Label
IF @VARIABLENAME@ Not In @COMPAREVAR@ THEN Jump to :Label
```



---
        
        
### Variable Check
Runs the THEN if the condition is true.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Test the Variable's value | _User Provided_ | Enter Variable Name with the @ symbols around it. |
| Compare | [Exists, Not Exists, =, Not =, <, <=, >, >=, Contains, Not Contains, In, Not In]  | Exists is true if anything is returned. |
| To | _User Provided_ | Value to compare to. |

**Example Function Text**
```        
If Variable Check
```



---
        
        
### Variable Set
Set a script variable.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Set Type | [Registry, Constant, Current ComputerID, Current ClientID, Current LocationID, Current Console Number, Temp Directory, File Contents, File Date, File Version, File Size, SQL Query, All Local Variables, Properties, Reload Computer Variables, Split NameValue Parameter, Get Virus Scanner Variables, Expand on Agent, File MD5 Hash]  | What type of value to use, some require parameters |
| Parameter | _User Provided_ | Enter required parameters |
| Variable Name | _User Provided_ | Name of variable to set, use @variablename@ in future parameters.  |

**Example Function Text**
```        
SET: @VARNAME@ = REGISTRY[@INPUTPARAMETER@]
SET: @VARNAME@ = @INPUTPARAMETER@
SET: @VARNAME@ = %computerid%
SET: @VARNAME@ = %clientid%
SET: @VARNAME@ = %locationid%
SET: @VARNAME@ = %consolenumber%
SET: @VARNAME@ = [Temporary Directory]
SET: @VARNAME@ = FILECONTENTS[@INPUTPARAMETER@]
SET: @VARNAME@ = FILEWRITEDATE[@INPUTPARAMETER@]
SET: @VARNAME@ = FILEVERSION[@INPUTPARAMETER@]
SET: @VARNAME@ = FILESIZE[@INPUTPARAMETER@]
SET: @VARNAME@ = SQLRESULT[@INPUTPARAMETER@]
SET: @VARNAME@ = [ALL LOCAL VARIABLES]
SET: @VARNAME@ = PROPERTY[@INPUTPARAMETER@]
SET: [RELOAD INTERNAL VARIABLES]
SET: Variables from Splitting @INPUTPARAMETER@
SET: Virus Scanner Variables for scanner #@INPUTPARAMETER@
SET: @VARNAME@ = AgentExpand[@INPUTPARAMETER@]
SET: @VARNAME@ = MD5[@INPUTPARAMETER@]
```



---
        
        
### Virus Definition Update
Run a Virus Scanner Update on the target computer if the computer has a scanner installed with this ability. The command will fail if no scanner is detected.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |


**Example Function Text**
```        
Function Virus Definition Update
```



---
        
        
### Virus Scan
Run a Virus scan on the target computer if the computer has a scanner installed with this ability. The command will fail if no scanner is detected.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Path | _User Provided_ | The full path to scan. |

**Example Function Text**
```        
Virus Scan: @PATH@
```



---
        
        
### Windows Update Settings
Set the Windows Update Agents settings.

**Parameters**

| Param | Values | Note |
| --- | --- | --- |
| Action | [Restore Defaults, Set WSUS Server, Force Windows Update, Windows Update Download Only, Enable Windows Update at Time, Disable Windows Update, Disable Access to Windows Update, Set LabTech Mode, Install WUA Agent]  | Action to perform. |
| WSUS or Time: | _User Provided_ | Enter Time as Day:Time |

**Example Function Text**
```        
Windows Update Setting Restore Defaults to: @WSUS@
Windows Update Setting Set WSUS Server to: @WSUS@
Windows Update Setting Force Windows Update to: @WSUS@
Windows Update Setting Windows Update Download Only to: @WSUS@
Windows Update Setting Enable Windows Update at Time to: @WSUS@
Windows Update Setting Disable Windows Update to: @WSUS@
Windows Update Setting Disable Access to Windows Update to: @WSUS@
Windows Update Setting Set LabTech Mode to: @WSUS@
Windows Update Setting Install WUA Agent to: @WSUS@
```


